%define aurox_ver 9.4
%define rel 2




# $Id: arts.spec,v 1.41 2004/03/21 02:10:40 rexdieter Exp $

## Conditional build:
# --without alsa

# default to --with-alsa, unless built: --without alsa
%{!?_without_alsa:%define _with_alsa --with-alsa}

%define redhatify 0
%define is_release 2 
%define qtver 1:3.3

Summary: aRts (analog realtime synthesizer) - the KDE sound system
Name:	 arts
Epoch:	 8
Version: 1.2.1
Release: %{aurox_ver}.aur.%{rel}
Source:	 ftp://ftp.kde.org/pub/kde/stable/3.2.1/src/arts-1.2.1.tar.bz2
#Source:	 ftp://ftp.kde.org/pub/kde/stable/src/3.2.1/arts-1.2.1.tar.bz2
Group:	 System Environment/Daemons
License: LGPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Obsoletes: kdelibs-sound < %{epoch}:%{version}

Requires: qt >= %{qtver}

BuildRequires: qt-devel >= %{qtver}
BuildRequires: zlib-devel
%if "%{is_release}" != "1"
BuildRequires: autoconf >= 2.53
BuildRequires: automake >= 1.6
%endif

BuildRequires: audiofile-devel
BuildRequires: glib2-devel
BuildRequires: libvorbis-devel	>= 1:1.0
%if "%{?redhatify}" == "1"
BuildConflicts: libmad-devel
%else
BuildRequires:	libmad-devel
%endif

#%if "%{?_with_alsa:1}" == "1"
BuildRequires: alsa-lib-devel 
# let rpm auto-handle this
#Requires: alsa-lib 
#%endif

Patch0: kde-libtool.patch
Patch1: arts-1.1.4-debug.patch

Patch1000: arts-1.2.0-no_glib2.patch

%description
arts (analog real-time synthesizer) is the sound system of KDE 3.

The principle of arts is to create/process sound using small modules which do
certain tasks. These may be create a waveform (oscillators), play samples,
filter data, add signals, perform effects like delay/flanger/chorus, or
output the data to the soundcard.

By connecting all those small modules together, you can perform complex
tasks like simulating a mixer, generating an instrument or things like
playing a wave file with some effects.


%package devel
Group: Development/Libraries
Summary: Development files for the aRts sound server
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: qt-devel >= %{qtver}
# needed by some libtool files, at least until they are fixed -- Rex
Requires: audiofile-devel libvorbis-devel
Obsoletes: kdelibs-sound-devel < %{epoch}:%{version}
# deprecated, and not needed
#Provides: kdelibs-sound-devel
%description devel
Install arts-devel if you intend to write applications using arts (such as
KDE applications using sound).


%prep
%if "%{?is_release}" != "0"
%setup -q -n %{name}-%{version}%{?beta}
%else
%setup -q -n %{name}
%endif

#patch0 -p1 -b .libtool
%patch1 -p1 -b .debug

%patch1000 -p1 -b .no_glib2

%if "%{is_release}" != "1"
  make -f admin/Makefile.common cvs
%endif


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

FLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS"

%configure \
  --program-prefix="%{?_program_prefix}" \
  --includedir=%{_includedir}/kde \
  --with-qt-libraries=$QTDIR/lib \
  --disable-rpath \
%if "%{?debug}" == "1"
  --enable-debug --enable-warnings \
%else
  --disable-dependency-tracking \
  --disable-debug --disable-warnings \
  --enable-final \
%endif
  %{?_with_alsa} %{?_without_alsa}

make %{?_smp_mflags}


%install
rm -rf "$RPM_BUILD_ROOT"

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT

## remove references to external/optional libraries in .la files
perl -pi -e "s@-lmad @@g"        	 $RPM_BUILD_ROOT%{_libdir}/*.la 
perl -pi -e "s@%{_libdir}/libmad.la @@g" $RPM_BUILD_ROOT%{_libdir}/*.la 


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
# artswrapper needs suid root for real-time priority support
%attr(4755,root,root) %{_bindir}/artswrapper
%{_bindir}/artscat
%{_bindir}/arts[d-s]*
%{_libdir}/lib*.so.*
%{_libdir}/lib*.la
%{_libdir}/mcop

%files devel
%defattr(-,root,root)
%{_bindir}/artsc-config
%{_bindir}/mcopidl
%{_libdir}/lib*.so
%{_includedir}/kde/arts
%{_includedir}/kde/artsc


%clean 
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Apr 08 2004 Aurox Team <aurox@aurox.org> 8:1.2.1-9.4.aur.2
- esound added
- 1.2.5 version, Aurox 9.4

* Mon Mar 01 2004 Rex Dieter <rexdieter at sf.net> 8:1.2.1-0.fdr.0
- 1.2.1
- use qt-3.3

* Thu Feb 26 2004 Rex Dieter <rexdieter at sf.net> 8:1.2.0-0.fdr.2
- fix artswrapper for real-time priority support.

* Mon Feb 23 2004 Rex Dieter <rexdieter at sf.net> 8:1.2.0-0.fdr.1
- no_glib2 patch (kde bug #65664)

* Mon Jan 26 2004 Rex Dieter <rexdieter at sf.net> 8:1.2.0-0.fdr.0
- 1.2.0

* Mon Jan 19 2004 Rex Dieter <rexdieter at sf.net> 8:1.1.95-0.fdr.0
- 1.1.95

* Fri Dec 12 2003 Rex Dieter <rexdieter at sf.net> 8:1.1.94-0.fdr.0
- 1.1.94

* Sun Nov 23 2003 Rex Dieter <rexdieter at sf.net> 8:1.1.4-0.fdr.3
- rebuild to be rid or libqt-mt.la references
- (finally) nuke gccver crud.

* Tue Nov 18 2003 Rex Dieter <rexdieter at sf.net> 8:1.1.4-0.fdr.2
- arts-1.1.4-debug.patch

* Mon Nov 10 2003 Rex Dieter <rexdieter at sf.net> 8:1.1.4-0.fdr.1
- rebuild against qt-3.2.2

* Sat Sep 13 2003 Rex Dieter <rexdieter at sf.net> 8:1.1.4-0.fdr.0
- 1.1.4

* Tue Jul 15 2003 Rex Dieter <rexdieter at sf.net> 8:1.1.3-0.fdr.0
- 1.1.3

* Thu Jun 26 2003 Rex Dieter <rexdieter at sf.net> 8:1.1.2-0.fdr.1
- more agressively prune optional libs from .la files.
- rebuild against libmad-0.15

* Thu May 15 2003 Rex Dieter <rexdieter at sf.net> 8:1.1.2-0.fdr.0
- 1.1.2
- fedora-style naming
- add cvs tags to specfile.

* Wed Apr 23 2003 Rex Dieter <rexdieter at sf.net> 1.1.1-1.2
- -devel: Now that we have mad removed from .la file(s), we can now remove
  Requires: mad-devel

* Tue Apr 22 2003 Rex Dieter <rexdieter at sf.net> 1.1.1-1.1
- remove references to external/optional libraries in .la files
- tweak gccver(sioning).

* Tue Apr 15 2003 Rex Dieter <rexdieter at sf.net> 1.1.1-1.0
- rebuild for release.
- enable alsa support (rh80 and newer).
- (Build)Requires: libvorbis(-devel)
- rebuild against new(er) libogg/libvorbis/mad-libs

* Mon Mar 24 2003 Rex Dieter <rexdieter at sf.net> 1.1.1-0.1
- include streaming patch(es) from 
  http://rambo.its.tudelft.nl/~ewald/xine/

* Thu Mar 20 2003 Rex Dieter <rexdieter at sf.net> 1.1.1-0.0
- 1.1.1

* Thu Mar 06 2003 Rex Dieter <rexdieter at sf.net> 1.1-5.3
- -devel: Requires: mad-libs-devel

* Mon Mar 03 2003 Rex Dieter <rexdieter at sf.net> 1.1-5.2
- work on nuking gccver(sioning) (kde-redhat rfe #696544)

* Thu Feb 20 2003 Rex Dieter <rexdieter at sf.net> 1.1-5.1 
- use epochs in Obsoletes/Provides/Requires.

* Wed Feb 19 2003 Rex Dieter <rexdieter at sf.net> 1.1-5.0
- sync to rawhide 1.1-5

* Sun Feb 09 2003 Rex Dieter <rexdieter at sf.net 1.1-1.2
- move .la files to main pkg. (redhat bug #83607)

* Mon Feb 03 2003 Rex Dieter <rexdieter at sf.net> 1.1-1.1 
- kde-redhat versioning.
- move some files from devel to main.
- fix 'kdesu konqueror' bug (kde-redhat patch #679764)

* Tue Jan 28 2003 Rex Dieter <rexdieter at sf.net> 1.1-1
- kde3.1 release.
